## ros-one-mavros-extras 1.20.0-1jammy.20251023.0857

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros_extras)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  mavros
  mavros_msgs
  roscpp
  sensor_msgs
  std_msgs
  std_srvs
  tf
  tf2_eigen
  urdf
  visualization_msgs
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)

find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
endif()

include(MavrosMavlink)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()



###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES
  CATKIN_DEPENDS geometry_msgs mavros mavros_msgs roscpp sensor_msgs std_msgs visualization_msgs
  DEPENDS Boost
)

###########
## Build ##
###########

include_directories(
  SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${mavlink_INCLUDE_DIRS}
)

add_library(mavros_extras
  src/plugins/adsb.cpp
  src/plugins/cam_imu_sync.cpp
  src/plugins/camera.cpp
  src/plugins/cellular_status.cpp
  src/plugins/companion_process_status.cpp
  src/plugins/onboard_computer_status.cpp
  src/plugins/debug_value.cpp
  src/plugins/distance_sensor.cpp
  src/plugins/esc_status.cpp
  src/plugins/esc_telemetry.cpp
  src/plugins/fake_gps.cpp
  src/plugins/gps_input.cpp
  src/plugins/gps_rtk.cpp
  src/plugins/gps_status.cpp
  src/plugins/landing_target.cpp
  src/plugins/log_transfer.cpp
  src/plugins/mag_calibration_status.cpp
  src/plugins/mocap_pose_estimate.cpp
  src/plugins/mount_control.cpp
  src/plugins/obstacle_distance.cpp
  src/plugins/odom.cpp
  src/plugins/play_tune.cpp
  src/plugins/px4flow.cpp
  src/plugins/rangefinder.cpp
  src/plugins/terrain.cpp
  src/plugins/trajectory.cpp
  src/plugins/tunnel.cpp
  src/plugins/vibration.cpp
  src/plugins/vision_pose_estimate.cpp
  src/plugins/vision_speed_estimate.cpp
  src/plugins/wheel_odometry.cpp
  src/plugins/guided_target.cpp
)
add_dependencies(mavros_extras
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(mavros_extras
  ${mavros_LIBRARIES}
  ${catkin_LIBRARIES}
)

## Declare a cpp executable
add_executable(visualization
  src/visualization.cpp
)
target_link_libraries(visualization
  ${catkin_LIBRARIES}
)

add_executable(servo_state_publisher
  src/servo_state_publisher.cpp
)
target_link_libraries(servo_state_publisher
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB SCRIPTS ${PROJECT_SOURCE_DIR}/scripts/*)
install(PROGRAMS
  ${SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS mavros_extras visualization servo_state_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  mavros_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_mavros_extras.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1jammy.20251023.0857) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Oct 2025 08:57:38 +0000

ros-one-mavros-extras (1.20.0-0jammy) jammy; urgency=high

  * Add missing std_srvs dependency
  * add param to odom plugin
  * add frame_id parameter
  * Fix compile error when compiling with gcc 13
    The error is:
    src/plugins/mag_calibration_status.cpp:64:22: error: ‘bitset’ is not a member of ‘std’
  * Contributors: EnderMandS, Michal Sojka, Roland Arsenault

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 10 Oct 2024 00:00:00 -0000

ros-one-mavros-extras (1.19.0-0jammy) jammy; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 06 Jun 2024 00:00:00 -0000

ros-one-mavros-extras (1.18.0-0jammy) jammy; urgency=high

  * [camera plugin] Fix image_index and capture_result not properly filled
  * Fix missing semi-colon
  * GPS_STATUS Plugin: Fill in available messages for ROS1 legacy
    Filled in available fields in GPS_RAW_INT & GPS2_RAW messages
    p.s. seems GPS2_RAW more complete than original GPS_RAW_INT
  * Contributors: Beniamino Pozzan, Seunghwan Jo

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2024 00:00:00 -0000

ros-one-mavros-extras (1.17.0-0jammy) jammy; urgency=high

  * Merge pull request #1865 <https://github.com/mavlink/mavros/issues/1865> from scoutdi/warnings
    Fix / suppress some build warnings
  * mavros_extras: Fix some init order warnings
  * Suppress warnings from included headers
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 09 Sep 2023 00:00:00 -0000

ros-one-mavros-extras (1.16.0-0jammy) jammy; urgency=high

  * Merge pull request #1817 <https://github.com/mavlink/mavros/issues/1817> from lucasw/pluginlib_hpp
    use hpp instead of deprecated .h pluginlib headers
  * use hpp instead of deprecated .h pluginlib headers
  * Contributors: Lucas Walter, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-one-mavros-extras (1.15.0-0jammy) jammy; urgency=high

  * Merge pull request #1811 <https://github.com/mavlink/mavros/issues/1811> from scoutdi/debug-float-array
    Implement debug float array handler
  * Implement debug float array handler
    Co-authored-by: Morten Fyhn Amundsen <mailto:morten.f.amundsen@scoutdi.com>
  * Merge pull request #1807 <https://github.com/mavlink/mavros/issues/1807> from scoutdi/fix-bitwise-comparison
    mavros_extras: Fix a comparison that shouldn't be bitwise
  * Merge pull request #1808 <https://github.com/mavlink/mavros/issues/1808> from scoutdi/fix-sequence-point-warning
    mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a comparison that shouldn't be bitwise
  * Merge pull request #1805 <https://github.com/mavlink/mavros/issues/1805> from scoutdi/fix-latlon-check
    mavros_extras: Fix buggy check for lat/lon ignored
  * mavros_extras: Fix buggy check for lat/lon ignored
  * Contributors: Morten Fyhn Amundsen, Sverre Velten Rothmund, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-one-mavros-extras (1.14.0-0jammy) jammy; urgency=high

  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    correct MountConfigure response success
    correct constructor initialization order
    some gimbals send negated/inverted angle measurements, correct that to obey the MAVLink frame convention using run-time parameters
  * Merge pull request #1727 <https://github.com/mavlink/mavros/issues/1727> from BV-OpenSource/pr-cellular-status
    Pr cellular status
  * uncrustify cellular_status.cpp
  * Add CellularStatus plugin and message
  * Merge pull request #1702 <https://github.com/mavlink/mavros/issues/1702> from amilcarlucas/mount_diagnostics
    Mount control plugin: add configurable diagnostics
  * mount_control.cpp: use mount_nh for params to keep similarities with other plugins
    set diag settings before add()
  * Mount control plugin: add configurable diagnostics
  * Merge pull request #1700 <https://github.com/mavlink/mavros/issues/1700> from oroelipas/fix-obstacle-distance
    Fix obstacle distance
  * Bugfix: increment_f had no value asigned when input LaserScan was bigger than obstacle.distances.size()
  * Bugfix: wrong interpolation when the reduction ratio (scale_factor) is not integer.
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Rui Mendes, Sanket Sharma, Vladimir Ermakov, oroel

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-one-mavros-extras (1.13.0-0jammy) jammy; urgency=high

  * Merge pull request #1677 <https://github.com/mavlink/mavros/issues/1677> from AndersonRayner/add_terrain
    Add plugin for reporting terrain height estimate from the FCU
  * Removed CamelCase for class members.  Publish to "report"
  * More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
  * Fixed callback name to match handle_{MESSAGE_NAME.lower()} convention


=== debian/control ===
Source: ros-one-mavros-extras
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cmake-modules, ros-one-geometry-msgs, ros-one-mavros, ros-one-mavros-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2-eigen, ros-one-urdf, ros-one-visualization-msgs
Homepage: http://wiki.ros.org/mavros_extras
Standards-Version: 3.9.2

Package: ros-one-mavros-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-mavros, ros-one-mavros-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2-eigen, ros-one-urdf, ros-one-visualization-msgs
Description: Extra nodes and plugins for MAVROS.

## ros-one-mavros-extras 1.20.0-1jammy.20251207.2151

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1jammy.20251207.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 07 Dec 2025 21:51:15 +0000

## ros-one-mavros-extras 1.20.0-1jammy.20260221.0148

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1jammy.20260221.0148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 21 Feb 2026 01:48:11 +0000

## ros-one-mavros-extras 1.20.0-1noble.20251023.0906

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1noble.20251023.0906) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Oct 2025 09:06:50 +0000

ros-one-mavros-extras (1.20.0-0noble) noble; urgency=high

  * Add missing std_srvs dependency
  * add param to odom plugin
  * add frame_id parameter
  * Fix compile error when compiling with gcc 13
    The error is:
    src/plugins/mag_calibration_status.cpp:64:22: error: ‘bitset’ is not a member of ‘std’
  * Contributors: EnderMandS, Michal Sojka, Roland Arsenault

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 10 Oct 2024 00:00:00 -0000

ros-one-mavros-extras (1.19.0-0noble) noble; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 06 Jun 2024 00:00:00 -0000

ros-one-mavros-extras (1.18.0-0noble) noble; urgency=high

  * [camera plugin] Fix image_index and capture_result not properly filled
  * Fix missing semi-colon
  * GPS_STATUS Plugin: Fill in available messages for ROS1 legacy
    Filled in available fields in GPS_RAW_INT & GPS2_RAW messages
    p.s. seems GPS2_RAW more complete than original GPS_RAW_INT
  * Contributors: Beniamino Pozzan, Seunghwan Jo

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2024 00:00:00 -0000

ros-one-mavros-extras (1.17.0-0noble) noble; urgency=high

  * Merge pull request #1865 <https://github.com/mavlink/mavros/issues/1865> from scoutdi/warnings
    Fix / suppress some build warnings
  * mavros_extras: Fix some init order warnings
  * Suppress warnings from included headers
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 09 Sep 2023 00:00:00 -0000

ros-one-mavros-extras (1.16.0-0noble) noble; urgency=high

  * Merge pull request #1817 <https://github.com/mavlink/mavros/issues/1817> from lucasw/pluginlib_hpp
    use hpp instead of deprecated .h pluginlib headers
  * use hpp instead of deprecated .h pluginlib headers
  * Contributors: Lucas Walter, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-one-mavros-extras (1.15.0-0noble) noble; urgency=high

  * Merge pull request #1811 <https://github.com/mavlink/mavros/issues/1811> from scoutdi/debug-float-array
    Implement debug float array handler
  * Implement debug float array handler
    Co-authored-by: Morten Fyhn Amundsen <mailto:morten.f.amundsen@scoutdi.com>
  * Merge pull request #1807 <https://github.com/mavlink/mavros/issues/1807> from scoutdi/fix-bitwise-comparison
    mavros_extras: Fix a comparison that shouldn't be bitwise
  * Merge pull request #1808 <https://github.com/mavlink/mavros/issues/1808> from scoutdi/fix-sequence-point-warning
    mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a comparison that shouldn't be bitwise
  * Merge pull request #1805 <https://github.com/mavlink/mavros/issues/1805> from scoutdi/fix-latlon-check
    mavros_extras: Fix buggy check for lat/lon ignored
  * mavros_extras: Fix buggy check for lat/lon ignored
  * Contributors: Morten Fyhn Amundsen, Sverre Velten Rothmund, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-one-mavros-extras (1.14.0-0noble) noble; urgency=high

  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    correct MountConfigure response success
    correct constructor initialization order
    some gimbals send negated/inverted angle measurements, correct that to obey the MAVLink frame convention using run-time parameters
  * Merge pull request #1727 <https://github.com/mavlink/mavros/issues/1727> from BV-OpenSource/pr-cellular-status
    Pr cellular status
  * uncrustify cellular_status.cpp
  * Add CellularStatus plugin and message
  * Merge pull request #1702 <https://github.com/mavlink/mavros/issues/1702> from amilcarlucas/mount_diagnostics
    Mount control plugin: add configurable diagnostics
  * mount_control.cpp: use mount_nh for params to keep similarities with other plugins
    set diag settings before add()
  * Mount control plugin: add configurable diagnostics
  * Merge pull request #1700 <https://github.com/mavlink/mavros/issues/1700> from oroelipas/fix-obstacle-distance
    Fix obstacle distance
  * Bugfix: increment_f had no value asigned when input LaserScan was bigger than obstacle.distances.size()
  * Bugfix: wrong interpolation when the reduction ratio (scale_factor) is not integer.
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Rui Mendes, Sanket Sharma, Vladimir Ermakov, oroel

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-one-mavros-extras (1.13.0-0noble) noble; urgency=high

  * Merge pull request #1677 <https://github.com/mavlink/mavros/issues/1677> from AndersonRayner/add_terrain
    Add plugin for reporting terrain height estimate from the FCU
  * Removed CamelCase for class members.  Publish to "report"
  * More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
  * Fixed callback name to match handle_{MESSAGE_NAME.lower()} convention


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-mavros-extras//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-mavros-extras 1.20.0-1noble.20251208.0849

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1noble.20251208.0849) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 08 Dec 2025 08:49:54 +0000

## ros-one-mavros-extras 1.20.0-1noble.20260221.2118

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1noble.20260221.2118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 21 Feb 2026 21:18:32 +0000
